<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: classes_xml Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>classes_xml Class Reference</h1><!-- doxytag: class="classes_xml" -->
<p><a href="classclasses__xml-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classclasses__xml.html#a9f691fc3ea90a23cc470b325af3dc651">__construct</a> ($ident_server, $file=&quot;getclasses.xml&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classclasses__xml.html#a725aebdc29069f5bc3d61908751fc165">build_xml</a> ()</td></tr>
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classclasses__xml.html#a1b84b51cdb76abf1e92deb2422d0322f">$file</a> = &quot;&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classclasses__xml.html#a75eea28261f16e12fa38d56b6e5dce36">$ident</a> = &quot;&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classclasses__xml.html#ace813ff7c0d5e5cc54e477289270f6ab">$xml</a> = array()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>This class will build a array of simple XML objects with informations about classes. This can be used to generate html code</p>
<p>This class use SimpleXMLElement object, this extension is enabled by default on PHP5</p>
<p>SimpleXMLElement can't be extended because constuctor is a final method</p>
<p>author: Christophe Lefevre - <a href="mailto:christophe.lefevre@u-psud.fr">christophe.lefevre@u-psud.fr</a> date: 12-02-2009 update: 11-05-2009 </p>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9f691fc3ea90a23cc470b325af3dc651"></a><!-- doxytag: member="classes_xml::__construct" ref="a9f691fc3ea90a23cc470b325af3dc651" args="($ident_server, $file=&quot;getclasses.xml&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">classes_xml::__construct </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>ident_server</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>file</em> = <code>&quot;getclasses.xml&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Default constructor will initialize data </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a725aebdc29069f5bc3d61908751fc165"></a><!-- doxytag: member="classes_xml::build_xml" ref="a725aebdc29069f5bc3d61908751fc165" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">classes_xml::build_xml </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>this function build an array with all usefull informations about connection to wims's class</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>void </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a1b84b51cdb76abf1e92deb2422d0322f"></a><!-- doxytag: member="classes_xml::$file" ref="a1b84b51cdb76abf1e92deb2422d0322f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">classes_xml::$file = &quot;&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>name of XML file </p>

</div>
</div>
<a class="anchor" id="a75eea28261f16e12fa38d56b6e5dce36"></a><!-- doxytag: member="classes_xml::$ident" ref="a75eea28261f16e12fa38d56b6e5dce36" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">classes_xml::$ident = &quot;&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>server ident to connect to <a class="el" href="classwims.html">wims</a> </p>

</div>
</div>
<a class="anchor" id="ace813ff7c0d5e5cc54e477289270f6ab"></a><!-- doxytag: member="classes_xml::$xml" ref="ace813ff7c0d5e5cc54e477289270f6ab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">classes_xml::$xml = array()</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>array of SimpleXMLElement objects </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/<a class="el" href="classes__xml_8inc_8php.html">classes_xml.inc.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
